rem [
rem	Name:		%M%
rem
rem	Derived from:	(original)
rem
rem	Author:		Clive Standbridge
rem
rem	Created on:	July 1997
rem
rem	Sccs ID:	%W% %G%
rem
rem	Coding Stds:	
rem
rem	Purpose:	Selectively deletes Windows 95 registry keys.
rem
rem	Parameters:	1	host OS type i.e. "mac" or "unix"
rem			2	new serial number (8 hex digits)
rem			3	old serial number (8 hex digits)
rem			4	Host System name
rem			5	Host System release
rem			6	Host System version
rem			7	Host System hardware type
rem
rem	Copyright 1997 Insignia Solutions PLC. All rights reserved.
rem ]


rem  Version stamp for SoftWindows95 4.0 Windows 95 disks.
rem  If old version is lower than this then either the disk predates this
rem  upgrade scheme, or we are upgrading from DOS or Windows 3.x.
rem  In both cases we want to force all devices to be updated.
set sw9540ver=0xF4000018

rem  Device version IDs. When a device's .INF file changes, update its
rem  version ID here.
set ISL060A_ver=%sw9540ver%
set ISL0901_ver=0xF4000043
set ISL0902_ver=%sw9540ver%
set ISL0F0D_ver=%sw9540ver%
set ISLA02B_ver=%sw9540ver%
set ISLB007_ver=0xF4000052


rem  Deletions: modify regedit for original Windows 95, use standard for OSR2.
set regedit=regedit
ver | find "4.00.950" >nul:
if errorlevel 1 goto no_insreged
set regedit=c:\insignia\insreged.exe
c:\insignia\inspatch c:\insignia\patch.pat c:\windows\regedit.exe c:\insignia\insreged.exe	>>c:\insignia\up.log
:no_insreged

rem  Mask the old version number. We are interested in the major & minor
rem  revision and the OS level, but not the language.
ibatch oldVersion = 0x%3 & 0xff000fff #010lx

echo %0: old serial no.="%3"  oldVersion="%oldVersion%"					>>c:\insignia\up.log


rem  Force Insignia drivers to be updated as necessary.
rem  Devices will be updated from .INF files.
rem  
rem  When a device's .INF file changes, the test for whether to update
rem  the device should be altered to test against the disk revision
rem  corresponding to the .INF file change.


rem  ESDI
itest %oldVersion% "<" %ISL060A_ver%
if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL060A"			>>c:\insignia\up.log

rem  Display
REM  Don't force this while it is set up in Win95.
REM  Uncomment this section if & when it is set up in DOS.
REM itest %oldVersion% "<" %ISL0901_ver%
REM if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL0901"			>>c:\insignia\up.log

rem  Monitor
itest %oldVersion% "<" %ISL0902_ver%
if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL0902"			>>c:\insignia\up.log

rem  Mouse
REM  Don't force this while it is set up in Win95.
REM  Uncomment this section if & when it is set up in DOS.
REM itest %oldVersion% "<" %ISL0F0D_ver%
REM if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL0F0D"		>>c:\insignia\up.log

rem  CD-ROM
itest %oldVersion% "<" %ISLA02B_ver%
if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISLA02B"			>>c:\insignia\up.log

rem  Native sound
itest %oldVersion% "<" %ISLB007_ver%
if errorlevel 1 %regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISLB007"			>>c:\insignia\up.log

rem  Pre-4.0 disk: clean up registry for sound drivers
itest %oldVersion% "<" %sw9540ver%
if not errorlevel 1 goto no_sound
%regedit% /d "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\MediaResources\midi"	>>c:\insignia\up.log
%regedit% /d "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\MediaResources\wave"	>>c:\insignia\up.log
%regedit% /d "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\MediaResources\mixer"	>>c:\insignia\up.log
:no_sound

rem  Fix Sound Blaster config (trashed by native sound driver).
itest %oldVersion% ">=" %sw9540ver%
if not errorlevel 1 goto no_sblast
itest %oldVersion% "<"  0xF4000049
if not errorlevel 1 goto no_sblast
%regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*PNPB001"					>>c:\insignia\up.log
%regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*PNPB002"					>>c:\insignia\up.log
%regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*PNPB003"					>>c:\insignia\up.log
%regedit% /d "HKEY_LOCAL_MACHINE\Enum\BIOS\*PNPB006"					>>c:\insignia\up.log
:no_sblast


rem  Remove WarnVerDLL entries from registry which causes warning panels to
rem  appear after installing some apps. Two values, WINASPI.DLL and mcicda.drv
rem  are removed. Removal of mcicda.drv has no apparent effect.
%regedit% /d "HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\SessionManager\WarnVerDLLs"	>>c:\insignia\up.log

rem ------------------------------------------------------------------------------
rem  The following adjustments are only for upgrades of Insignia Windows 95 disks.
rem ------------------------------------------------------------------------------
itest %oldVersion% ">=" 0xF0000000
if not errorlevel 1 goto no_force
ibatch oldOS = 0x%3 & 0xf000 #010lx
itest %oldOS% ">="    0x3000
if not errorlevel 1 goto no_force

rem --------------------------------------------------------------------
rem  Remove forced configuration for display adapter ie use configuration
rem  reported by our pnp bios instead.
rem  - equivalent to ticking the 'Use automatic settings' box.
rem  Required for upgrades from SoftWindows 95 4.0 disks.
rem --------------------------------------------------------------------

%regedit% /e c:\insignia\temp1.reg "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL0901\10"	>>c:\insignia\up.log
%regedit% /d                       "HKEY_LOCAL_MACHINE\Enum\BIOS\*ISL0901\10"	>>c:\insignia\up.log
find /i /v """ForcedConfig""=" < c:\insignia\temp1.reg > c:\insignia\temp2.reg
%regedit%    c:\insignia\temp2.reg						>>c:\insignia\up.log
echo.>>c:\insignia\up.log
del          c:\insignia\temp*.reg						>>c:\insignia\up.log
:no_force

