rem [
rem	Name:		u.w95batch.bat
rem
rem	Derived from:	(original)
rem
rem	Author:		David Lillie
rem
rem	Created on:	Sep 1996
rem
rem	Sccs ID:	@(#)u.w95batch.bat	1.23 10/13/97
rem
rem	Coding Stds:	
rem
rem	Purpose:	Windows 95 batch file for updating SoftWindows and
rem			SoftPC Turbo. This file triggers the process of
rem			updating Windows 95 with the Insignia drivers and
rem			proceeds to patch the Windows 95 drivers. It runs
rem			before Windows 95 has booted.
rem
rem	Parameters:	1	host OS type i.e. "mac" or "unix"
rem			2	new serial number (8 hex digits)
rem			3	old serial number (8 hex digits)
rem			4	Host System name
rem			5	Host System release
rem			6	Host System version
rem			7	Host System hardware type
rem			8       Intel OS; must be one of: "win95", "win98".
rem
rem	Copyright 1997 Insignia Solutions PLC. All rights reserved.
rem ]


echo Updating your configuration. Please wait...

rem  Determine whether this is a new copy of Windows or an upgrade.
rem  A new copy of Windows is identified by:
rem	1. new clean disk - serial no. = F0xxxxxx
rem	2. user installed Windows over DOS - serial no. = F[4-F]xx[0-1]xxx

ibatch majorVer = 0x%3 ">>" 24     #04lx
ibatch os       = 0x%3 "&"  0xf000 #06lx
echo  %0: majorVer=%majorVer%  os=%os%			>>c:\insignia\up.log
itest %majorVer% "==" 0xf0
if errorlevel 1 goto newWin
itest %majorVer% ">=" 0xf4
if errorlevel 1 itest %os% "<=" 0x1000
if errorlevel 1 goto newWin

echo Upgrading a previously-used copy of Windows.	>>c:\insignia\up.log

rem  Upgrade Insignia WinSock DLLs, but don't touch MS versions.
call updatins winsock.dll c:\windows
call updatins wsock32.dll c:\windows\system
goto allWin

:newWin
echo Upgrading a new copy of Windows.			>>c:\insignia\up.log

rem  Use the Insignia WinSock DLLs by default.
copy /y /b c:\insignia\winsock.dll c:\windows		>>c:\insignia\up.log
copy /y /b c:\insignia\wsock32.dll c:\windows\system	>>c:\insignia\up.log
goto allWin

:allWin
set majorVer=
set os=


REM Save and patch GDI.EXE
if not "%8" == "win98" call patchone gdi.exe c:\windows\system

REM Save and patch GDI32.DLL, but not on Mac or DEC Alpha
if "%1" == "mac" goto no_gdi32
if "%1" == "unix" if "%4" == "OSF1" goto no_gdi32
if not "%8" == "win98" call patchone gdi32.dll c:\windows\system
:no_gdi32

REM Save and patch KERNEL32.DLL
if not "%8" == "win98" call patchone kernel32.dll c:\windows\system

REM Save and patch OSR2 IOS.VXD
if not "%8" == "win98" if exist c:\windows\system\vmm32\ios.vxd  call patchone ios.vxd c:\windows\system\vmm32

REM  Patch VMM32.VXD now if we are upgrading Windows 95 (including SW95 1.0),
REM  but delay it if Windows 95 is being installed on RealPC.
call vmmpatch %3 old

win31lic /v /sc:\windows\system c:\insignia\win95dos.ugd	>>c:\insignia\up.log

rem  Update the registry.

rem  Registry deletions.
call delreg %1 %2 %3 %4 %5 %6 %7

rem  Registry additions: always use the standard regedit tool.
regedit d:\win95.reg	>>c:\insignia\up.log
echo.>>c:\insignia\up.log

