@echo off
rem [
rem	Name:		u.win310up.bat
rem
rem	Derived from:	u.w31batch.bat and u.swupdate.bat
rem
rem	Author:		Bruce Godden
rem
rem	Created on:	August 1997
rem
rem	Sccs ID:	@(#)u.win310up.bat	1.1 08/28/97
rem
rem	Coding Stds:	
rem
rem	Purpose:	Batch file for manual update of a US Windows 3.1
rem			disk. Assumes that the normal 3.11 update has
rem			already been run (if it matters).
rem
rem	Parameters:	1	Windows system directory
rem				(Default is c:\windows\system)
rem
rem	Copyright 1997 Insignia Solutions PLC. All rights reserved.
rem ]

rem  Ensure we have 'our' directory.
if not exist c:\insignia\nul md c:\insignia

rem  Append this log file to the existing log file.
echo %0 %1 %2 %3 %4 %5 %6 %7 %8 %9	>>c:\insignia\up.log
echo. | date				>>c:\insignia\up.log
echo. | time				>>c:\insignia\up.log
vol c:					>>c:\insignia\up.log
rem  Append to the history file.
echo %0 %1 %2 %3 %4 %5 %6 %7 %8 %9	>>c:\insignia\uphist.log
echo. | date				>>c:\insignia\uphist.log
echo. | time				>>c:\insignia\uphist.log
vol c:					>>c:\insignia\uphist.log

set SysDir=%1
if "%1" == "" set SysDir=c:\windows\system
if not exist %SysDir%\user.exe goto End

set WinVer=win310

echo Updating your configuration. Please wait...

c:
cd \insignia

rem We need to work out which VTD to patch. (I think it will always
rem be the one in the WIN386 file, but it doesn't hurt to check.)

find /v ";" c:\windows\system.ini | find /i "device=vtda.386" >nul:
if not errorlevel 1 goto VTDASection

find /v ";" c:\windows\system.ini | find /i "device=vtd.386" >nul:
if not errorlevel 1 goto VTDSection

rem The following sections patch the components we are interested in.
rem Some of these may already have been patched by the win311 update.
rem It doesn't hurt to try them again ... and we might patch them to
rem a proper win310 version anyway!

rem Patch the VTD in the WIN386 file
call patchone win386.exe %SysDir% -VTD -%WinVer%
goto PatchTheRest

:VTDASection
rem Patch the VTDA file
call patchone vtda.386 %SysDir% -VTD -%WinVer%
goto PatchTheRest

:VTDSection
rem Patch the VTD file
call patchone vtd.386 %SysDir% -VTD -%WinVer%

:PatchTheRest

call patchone gdi.exe %SysDir% -GDI -%WinVer%

rem No patch available for krnl386.exe unfortunately.

call patchone v7vdd.386 %SysDir% -V7VDD -%WinVer%

call patchone win386.exe %SysDir% -WIN386 -LOADER -%WinVer%

call patchone win386.exe %SysDir% -WIN386 -VMM -%WinVer%

:End
